fintersect-methods {msbase} | R Documentation

## Intersection of two vectors, Massvectors

### Description

Returns the intersecting (entries) of the first argument

### Arguments

`obx` | see below in Methods section
`oby` | see below in Methods section
`error` | measurement error in e.g. Da or as relative error in parts per million (ppm)
`ppm` | if `TRUE` then error in parts per million(ppm), in arbitrary units otherwise.
`uniq` | if `TRUE` compute non-crossing matching.

### Value

Massvector, first column contains the average of the mass of matching peaks. Second column contains the number of peaks matched (? - suggestions welcome). If `Massvectorlist` passed as first argument returns a `Massvectorlist`.

### Methods

obx = "numeric", oby = "numeric"
  Returns intersecting entries of the first argument.
obx = "Massvector", oby = "Massvector"
  Returns intersecting entries of the first argument.
obx = "Massvectorlist", oby = "Massvector"
  returns a Massvectorlist of intersecting entries of the first argument.

### See Also

`Massvector-class`,`finterS-methods`,`intersect`

### Examples

    data(pldata)
    pl1 <- pldata[[1]]
    pl2 <- pldata[[4]]
    pl3 <- fintersect(pl1,pl2,error=0.1,ppm=FALSE,uniq=FALSE)
    fintersect(pl1,pl3,error=0.1,ppm=FALSE,uniq=FALSE)
    fintersect(pldata,pl1,error=0.1,ppm=FALSE,uniq=FALSE)

[Package msbase version 1.5.0 Index]